commit: cfde1408403cb2e1ee4ee9b4106e47b6a9325525
Author: Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Fri Mar 22 02:02:13 2019 +0000
Commit: Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Fri Mar 22 02:02:13 2019 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=cfde1408
dev-python/traits: version bump 5.0.0
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Horea Christian <horea.christ <AT> yandex.com>
dev-python/traits/traits-5.0.0.ebuild | 50 +++++++++++++++++++++++++++++++++++
1 file changed, 50 insertions(+)
diff --git a/dev-python/traits/traits-5.0.0.ebuild
b/dev-python/traits/traits-5.0.0.ebuild
new file mode 100644
index 000000000..f0b7d6dd0
--- /dev/null
+++ b/dev-python/traits/traits-5.0.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Enthought Tool Suite: Explicitly typed attributes for Python"
+HOMEPAGE="http://docs.enthought.com/traits/
+ https://github.com/enthought/traits
+ https://pypi.org/project/traits/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ ${RDEPEND}
+ )"
+
+python_prepare_all() {
+ sed -i -e "s/'-O3'//g" setup.py || die
+ if use test; then
+ # Errors reported upstream:
https://github.com/enthought/traits/issues/458
+ sed -i \
+ -e '1s/^/from nose.plugins.skip import SkipTest \n/' \
+ -e "/class
TraitTypesTest(unittest.TestCase):/i@SkipTest" \
+ traits/tests/test_trait_types.py || die
+ fi
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ python_is_python3 || local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ distutils-r1_python_compile
+}
+
+python_test() {
+ cd "${BUILD_DIR}"/lib || die
+ nosetests || die
+}